function [X,Y,Ytuple,K_GT,d,DataParameters]=GenerateData(DataInput)

%% Use synthetic toy data

if strcmp(DataInput.datasource,'toy')
  
    ToyData;
    K_GT=2;
    DataParameters=[];
    
end

%% Use synthetic HSI data

if strcmp(DataInput.datasource,'SyntheticHSI')
    [X,Y,Ytuple,d,K_GT,DataParameters]=MakeSyntheticHSI(DataInput.parameters);
end
%%  Use real HSI data
if strcmp(DataInput.datasource,'HSI')
    
    [X,Y,Ytuple,d,K_GT,DataParameters]=MakeHSI(DataInput.HSIname);
    
end