%For a pixel coordinates in the IP spatial matrix, find the size^2-1
%nearest neighbors.

function neighbors=FindNeighbors(coordinates, size, m, n)

neighbors=[];

for i=1:2*size+1
    for j=1:2*size+1
        if ( (coordinates(1)-size-1+i)>0 && (coordinates(2)-size-1+j)>0 && (coordinates(1)-size-1+i)<(m+1) && (coordinates(2)-size-1+j)<(n+1))
            neighbors=[neighbors,[coordinates(1)-size-1+i,coordinates(2)-size-1+j]'];
        end
    end
end


