% For each class in GTold, as determined by classes, a percentage equal to 
% (100)*th of the labels are made wrong.  These labels are randomly
% assigned one of the remaining labels.  


function GTnew = GTperturb(GTold,th,classes)

GTnew=GTold(:);

for k=1:classes
    idxs{k}=find(GTold(:)==k);
    idxsuse{k}=datasample(idxs{k},floor(th*length(idxs{k})),'Replace',false);
    GTnew(idxsuse{k})=datasample(setdiff([1:classes],k),length(idxsuse{k}));

end

GTnew=reshape(GTnew,size(GTold));

