% Make ground truth labels

function [GTLabels, GTLabelsTuple] = GenerateLabelsGT(Y,CoreSize,K)
    
GTLabels=GTsubset(Y,CoreSize,K);

GTLabelsTuple=zeros(CoreSize*K,K);  % Turn labels into K-tuples for regression

for k=1:K
    GTLabelsTuple(CoreSize*(k-1)+1:CoreSize*k,k)=1;
end

    end

